## nagios-check-zone-rrsig-expiration-plugin 1.10-1

=== Makefile ===
NAME=check_zone_rrsig_expiration

all:
	
get: 
	wget http://dns.measurement-factory.com/tools/nagios-plugins/src/check_zone_rrsig_expiration -O $(NAME)

install:
	install -d $(DESTDIR)/usr/lib/nagios/plugins/ 
	install -m 644 -o root -g root $(NAME) $(DESTDIR)/usr/lib/nagios/plugins/

=== debian/changelog ===
nagios-check-zone-rrsig-expiration-plugin (1.10-1) unstable; urgency=low

  * Initial release

 -- Casper Gielen (Unix Administrator University Tilburg) <cgielen@uvt.nl>  Wed, 24 Aug 2011 13:54:09 +0200

=== debian/control ===
Source: nagios-check-zone-rrsig-expiration-plugin
Section: unknown
Priority: extra
Maintainer: Casper Gielen (Unix Administrator University Tilburg) <cgielen@uvt.nl>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2
Homepage: http://dns.measurement-factory.com/tools/nagios-plugins/check_zone_rrsig_expiration.html
#Vcs-Git: git://git.debian.org/collab-maint/nagios-check-zone-rrsig-expiration-plugin.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/nagios-check-zone-rrsig-expiration-plugin.git;a=summary

Package: nagios-check-zone-rrsig-expiration-plugin
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nagios-plugin to monitor dnssec-enabled zones
 When called, the plugin issues a seed query for the zone to be tested.
 The seed query begins at a root DNS server and terminates when an
 authoritative answer is received. Next, each authoritative nameserver
 is queried for zone apex RRSIG records. If new authoritative name-
 servers are discovered during this phase, they are queried as well.
 After all nameservers have been queried, the responses are analyzed.
 The script reports the following problems:
  - No authoritative nameservers found.
  - No RRSIG records found.
  - When at least one RRSIG record is already expired.
  - When at least one RRSIG record expires in the next CRIT days.
  - When at least one RRSIG record expires in the next WARN days.

## nagios-check-zone-rrsig-expiration-plugin 1.10-2

=== Makefile ===
NAME=check_zone_rrsig_expiration

all:
	
get: 
	wget http://dns.measurement-factory.com/tools/nagios-plugins/src/check_zone_rrsig_expiration -O check_zone_rrsig_expirations

install:
	install -d $(DESTDIR)/usr/lib/nagios/plugins/ 
	install -m 644 -o root -g root check_zone_rrsig_expiration $(DESTDIR)/usr/lib/nagios/plugins/ 
	install -m 644 -o root -g root check_zone_rrsig_expiration_group $(DESTDIR)/usr/lib/nagios/plugins/ 
	install -d $(DESTDIR)/usr/sbin/
	install -m 644 -o root -g root check_zone_rrsig_expiration_group_update $(DESTDIR)/usr/sbin/
	install -d $(DESTDIR)/etc/nagios/nrpe.d/
	install -m 644 -o root -g root check_zone_rrsig_expiration_nrpe $(DESTDIR)/etc/nagios/nrpe.d/check_zone_rrsig_expiration
	install -d $(DESTDIR)/var/cache/check_dnssec/

=== debian/changelog ===
nagios-check-zone-rrsig-expiration-plugin (1.10-2) unstable; urgency=low

  * Wrapper-scripts to group zones and cache information (to avoid nagios
    timeouts) 

 -- Casper Gielen (Unix Administrator University Tilburg) <cgielen@uvt.nl>  Thu, 25 Aug 2011 14:51:13 +0200

## nagios-check-zone-rrsig-expiration-plugin 1.10-3

=== debian/changelog ===
nagios-check-zone-rrsig-expiration-plugin (1.10-3) unstable; urgency=low

  * Scripts verbeterd. Gaat nu handiger met timeouts om. 

 -- Casper Gielen (Unix Administrator University Tilburg) <cgielen@uvt.nl>  Tue, 30 Aug 2011 17:35:57 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: nagios-check-zone-rrsig-expiration-plugin
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, coreutils, libnet-dns-sec-perl
 Description: Nagios-plugin to monitor dnssec-enabled zones
  When called, the plugin issues a seed query for the zone to be tested.
  The seed query begins at a root DNS server and terminates when an

## nagios-check-zone-rrsig-expiration-plugin 1.10-4

=== debian/changelog ===
nagios-check-zone-rrsig-expiration-plugin (1.10-4) unstable; urgency=low

  * Cache updaten met cron-job 

 -- Casper Gielen (Unix Administrator University Tilburg) <cgielen@uvt.nl>  Wed, 07 Sep 2011 17:13:23 +0200

## nagios-check-zone-rrsig-expiration-plugin 1.10-5

=== debian/changelog ===
nagios-check-zone-rrsig-expiration-plugin (1.10-5) unstable; urgency=low

  * Timeout aanpassen
  * cronspam voorkomen 

 -- Casper Gielen (Unix Administrator University Tilburg) <cgielen@uvt.nl>  Thu, 08 Sep 2011 13:15:32 +0200

## nagios-check-zone-rrsig-expiration-plugin 1.10-6

=== Makefile ===
NAME=check_zone_rrsig_expiration

all:
	
get: 
	wget http://dns.measurement-factory.com/tools/nagios-plugins/src/check_zone_rrsig_expiration -O check_zone_rrsig_expirations

install:
	install -d $(DESTDIR)/usr/lib/nagios/plugins/ 
	install -m 755 -o root -g root check_zone_rrsig_expiration $(DESTDIR)/usr/lib/nagios/plugins/ 
	install -m 755 -o root -g root check_zone_rrsig_expiration_group $(DESTDIR)/usr/lib/nagios/plugins/ 
	install -d $(DESTDIR)/usr/sbin/
	install -m 755 -o root -g root check_zone_rrsig_expiration_group_update $(DESTDIR)/usr/sbin/
	install -d $(DESTDIR)/etc/nagios/nrpe.d/
	install -m 644 -o root -g root check_zone_rrsig_expiration.cfg_nrpe $(DESTDIR)/etc/nagios/nrpe.d/check_zone_rrsig_expiration.cfg
	install -d $(DESTDIR)/var/cache/check_dnssec/

=== debian/changelog ===
nagios-check-zone-rrsig-expiration-plugin (1.10-6) unstable; urgency=low

  * timing verbeterd 

 -- Casper Gielen (Unix Administrator University Tilburg) <cgielen@uvt.nl>  Thu, 08 Sep 2011 14:57:28 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: nagios-check-zone-rrsig-expiration-plugin
 Architecture: all
-Depends: ${misc:Depends}, coreutils, libnet-dns-sec-perl
+Depends: ${misc:Depends},  ${perl:Depends}, coreutils, libnet-dns-sec-perl
 Description: Nagios-plugin to monitor dnssec-enabled zones
  When called, the plugin issues a seed query for the zone to be tested.
  The seed query begins at a root DNS server and terminates when an

## nagios-check-zone-rrsig-expiration-plugin 1.10-7

=== debian/changelog ===
nagios-check-zone-rrsig-expiration-plugin (1.10-7) unstable; urgency=low

  * Niet rekenen met strings

 -- Casper Gielen (Unix Administrator University Tilburg) <cgielen@uvt.nl>  Thu, 08 Sep 2011 15:20:24 +0200
